Description

In the relation reference widget it is possible to add new values without having to open the linked table first (comfortable).

We would, however, like to have a unique constraint on the "display expression"/"display column" to avoid double entries.

We need to discuss several options how to achieve this:

a) having a separate "value list manager" that takes care of it, but can also handle other stuff, like renaming/deleting values

b) Using the existing QGIS constraint mechanism (haven't found a way to check a newly entered value against other already existing

values in the table though)

c) introducing a new "built in" Unique constraint on a table column

History

#1 - 2017-03-30 10:02 AM - Regis Haubourg

Hi Andreas and Matthias. This seems done in master. Should we close the issue?

#2 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-06-29 03:59 PM - Andreas Neumann

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Description updated

closing this, because it is implemented in QGIS 3.x
